Subject: lagrange: illegal instruction
From: Christopher Howard <[email-masked]>
To: Guix Bug Reports <[email-masked]>
Date: Sat, 03 Jul 2021 19:32:45 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I've discovered lagrange is another one of those packages which, if I use a substitute, it gives the error "illegal instruction" when I try to run it. but if I download the source and build it
myself, I have no trouble running it. I'm certain without any research that this is a reproducibility error, due to native instructions not on my processor, but I could do the guix challenge if
somebody could remind me exactly how to tell guix to rebuild that one package from source.

christopher@nightshade ~$ neofetch --stdout
christopher@nightshade 
---------------------- 
OS: Guix System b65af6ed9120234cf655e8e76317558cfbd02477 x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.12.14-gnu 
Uptime: 48 mins 
Packages: 107 (guix-system), 103 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.5 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA GeForce 8400 GS Rev. 3 
Memory: 1419MiB / 7957MiB 

-- 
Christopher Howard
my gemini capsule: gemini://gem.librehacker.com
gemini browser: https://git.skyjake.fi/gemini/lagrange/releases